/*
// File:		SmtpCallback.hpp
//
// Version:		mail.it library 1.0 sample file
//
// Copyright:	(C) 2007 Dacons LLP.
//
// Bugs:		If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/

#ifndef __SMTPCALLBACK_HPP__
#define __SMTPCALLBACK_HPP__

#include <EmaiSmtp.hpp>

/*!
// @brief	Constants for user data for smtp sessions
//
// @see		SmtpEnumUserData
*/
enum SmtpEnumUserData
{
	SmtpStatusText = 'STAT',			/*!< size of HWND, using for showing status text*/
	SmtpCurrentPercent = 'PERC',		/*!< size of EmaiUint32, contains percent progress*/
	SmtpPercentText = 'HWND'			/*!< size of HWND, using for showing percent progress*/
};

/*!
// @class	SmtpCallback
// @brief	Wrapper class for EmaiSmtpStatusCallback
//
// @see		Emai::SmtpStatusCallback
*/
class SmtpCallback : public Emai::SmtpStatusCallback
{

	virtual int							OnOperation(
												Emai::SmtpSession& inSession,
												EmaiUint32 inOperationCode);

	virtual int							OnDataSent(
												Emai::SmtpSession& inSession,
												EmaiUint32 inSentSize,
												EmaiUint32 inTotalSize);
	virtual int							OnServerError(
												Emai::SmtpSession& inSession,
												EmaiConstCharPtr inServerReply,
												EmaiUint32 inReplyCode);
public:
};


#endif /*__SMTPCALLBACK_HPP__*/
